Font::TTF::Maxp(3)

NAME
Font::TTF::Maxp - Maximum Profile table in a font

DESCRIPTION
A collection of useful instance variables following the TTF standard. Probably the most used being "numGlyphs". Note that this particular value is foundational and should be kept up to date by the application, it is not updated by "update".

Handles table versions 0.5, 1.0

INSTANCE VARIABLES
No others beyond those specified in the standard:

    numGlyphs
    maxPoints
    maxContours
    maxCompositePoints
    maxCompositeContours
    maxZones
    maxTwilightPoints
    maxStorage
    maxFunctionDefs
    maxInstructionDefs
    maxStackElements
    maxSizeOfInstructions
    maxComponentElements
    maxComponentDepth

METHODS

  $t->read
Reads the table into memory

  $t->out($fh)
Writes the table to a file either from memory or by copying.

  $t->minsize()
Returns the minimum size this table can be. If it is smaller than this, then the table must be bad and should be deleted or whatever.

  $t->update
Calculates all the maximum values for a font based on the glyphs in the font. Only those fields which require hinting code interpretation are ignored and left as they were read.

BUGS
None known

AUTHOR
Martin Hosken <http://scripts.sil.org/FontUtils>.

LICENSING
Copyright (c) 1998-2016, SIL International (http://www.sil.org)

This module is released under the terms of the Artistic License 2.0. For details, see the full text of the license in the file LICENSE.